# Lightdash AI Tools

## Overview

Lightdash AI Tools is an innovative Python library that bridges the gap between Lightdash's powerful data analytics platform and cutting-edge AI technologies. This library provides a comprehensive suite of tools designed to enhance data exploration, analysis, and interaction through AI-powered workflows.

## Key Features

- 🤖 **AI Framework Integration**

  - Native support for LangChain
  - Planned support for AutoGen, CrewAI, and Phidata

- 🔍 **Comprehensive Lightdash Tools**

  - Retrieve project details
  - List explores and spaces
  - Manage organization members and groups
  - Compile and execute queries

- 🚀 **Easy-to-Use Interfaces**
  - Streamlined API interactions
  - Robust error handling
  - Flexible configuration options

## Installation

Install the library with LangChain support:

```bash
pip install lightdash-ai-tools[langchain]
```

## Documentation

- [LangChain Tools Documentation](docs/langchain.md)
- [Examples](examples/)

## Supported AI Frameworks

| Framework | Status       |
| :-------- | :----------- |
| LangChain | ✅ Supported |
| AutoGen   | ⬜ Planned   |
| CrewAI    | ⬜ Planned   |
| Phidata   | ⬜ Planned   |

## License

This project is licensed under the Apache License 2.0.

## Contact

For questions, issues, or support, please open a GitHub issue or contact the maintainers.
